
PKG:=bridge-utils
VERSION:=1.1
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR} ${DIR}/Makefile
	${MAKE} -C ${DIR} CFLAGS="${CFLAGS}"

${DIR}/Makefile:
	cd ${DIR} && ./configure --prefix=${ROOT}/usr --host=${CROSS} --with-linux-headers=${KERNEL_DIR}/include CFLAGS="${CFLAGS}" LDFLAGS=${TOOLCHAIN_ABI}

.PHONY: install
install: ${DIR}
	${MAKE} -C ${DIR} install

${DIR}:
	tar -zxf ${STORAGE}/${PKG}/${PKG}-${VERSION}.tar.gz
	cp ${STORAGE}/${PKG}/brctl_cmd.c ${DIR}/brctl/
	cp ${STORAGE}/${PKG}/brctl_disp.c ${DIR}/brctl/
	cp ${STORAGE}/${PKG}/libbridge.h ${DIR}/libbridge/
	cp ${STORAGE}/${PKG}/libbridge_if.c ${DIR}/libbridge/
	cp ${STORAGE}/${PKG}/libbridge_devif.c ${DIR}/libbridge/
	cp ${STORAGE}/${PKG}/br_hook_defs.h ${DIR}/libbridge/
