PKG:=cli
#DIR:=${PKG}-${VERSION}
DIR:=nms/${PKG}


.PHONY: all
all: build install

.PHONY: build
build: ${DIR} ${DIR}/Makefile
	- rm -rf ${DIR}/cli
	cd ${DIR} && sed -i 's/CC=gcc/CC=mips64-octeon-linux-gnu-gcc/g' Makefile
	cd ${DIR} && sed -i 's/LD=ld/LD=mips64-octeon-linux-gnu-ld/g' Makefile
	cd ${DIR} && sed -i 's/RANLIB=ranlib/RANLIB=mips64-octeon-linux-gnu-ranlib/g' Makefile
	cd ${DIR} && sed -i 's/AR=ar/AR=mips64-octeon-linux-gnu-ar/g' Makefile
	cd ${DIR} && sed -i 's/LDFLAGS = /LDFLAGS = -mabi=64/g' Makefile
	cd ${DIR} && sed -i 's/ -g -Wshadow/ -g -Wshadow -mabi=64/g' Makefile
	${MAKE} -C ${DIR} 

.PHONY: install
install:
	cp ${DIR}/libedit.a ${ROOT}/lib/. 
	cp ${DIR}/cli ${ROOT}/usr/local/sbin/.
	cp -r ${NMS_DIR}/${PKG}/menu ${ROOT}/home/.

${DIR}:
	#tar -xvf ${NMS_DIR}/${PKG}/${PKG}-${VERSION}.tar.gz
	#cp -dpR ${NMS_DIR}/${PKG}/${PKG}/ .

	
