
PKG:=ebtables
VERSION:=v2.0.8-rc2
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR}
	${MAKE} -C ${DIR} 

.PHONY: install
install:
	cd ${DIR} && ${MAKE} install
${DIR}:
	tar -zxf ${STORAGE}/${PKG}/${PKG}-${VERSION}.tar.gz
	cp ${STORAGE}/${PKG}/Makefile ${DIR}/.
	cp ${STORAGE}/${PKG}/Makefile.extensions ${DIR}/extensions/Makefile
	cp ${STORAGE}/${PKG}/ebt_add1q.c ebtables-v2.0.8-rc2/extensions/
	cp ${STORAGE}/${PKG}/ebt_inat.c  ebtables-v2.0.8-rc2/extensions/
	cp ${STORAGE}/${PKG}/ebt_rem1q.c ebtables-v2.0.8-rc2/extensions/
	cp ${STORAGE}/${PKG}/ebt_8021q.h ebtables-v2.0.8-rc2/include/linux/netfilter_bridge/
	 cd ${DIR} && patch -p1 < ${STORAGE}/${PKG}/ebtables.patch
	
