
include ../.config

.PHONY: install
install:
	- mv ${ROOT}/usr/lib/* ${ROOT}/${LIBDIR}/ &> /dev/null
	rm -rf ${ROOT}/usr/include
	rm -rf ${ROOT}/usr/local/include
	rm -rf ${ROOT}/usr/local/share
	rm -rf ${ROOT}/usr/lib32/gconv
	rm -rf ${ROOT}/usr/lib64/gconv
	rm -rf ${ROOT}/usr/local/bin/snmp*
	rm -rf ${ROOT}/usr/local/bin/mib2c
	rm -rf ${ROOT}/usr/local/bin/mib2c-update
	rm -rf ${ROOT}/usr/local/bin/net-snmp-config
	rm -rf ${ROOT}/usr/local/bin/php-config
	rm -rf ${ROOT}/usr/local/lib/php
	rm -rf ${ROOT}/usr/local/bin/dbclient
	rm -rf ${ROOT}/usr/local/bin/fixproc
	rm -rf ${ROOT}/usr/local/bin/traptoemail
	rm -rf ${ROOT}/usr/local/bin/tkmib
	rm -rf ${ROOT}/usr/local/bin/phpize
	rm -rf ${ROOT}/usr/local/bin/ipf-mod.pl
	rm -rf ${ROOT}/usr/local/sbin/ebtables-save
	rm -rf ${ROOT}/etc/certs
	rm -rf ${ROOT}/etc/misc
	rm -rf ${ROOT}/etc/private
	- find ${ROOT} -name doc | xargs rm -fr
	- find ${ROOT} -name man | xargs rm -fr
	- find ${ROOT} -name info | xargs rm -fr
	- find ${ROOT} -name "*.a" | xargs rm -fr
	for f in `find ${ROOT}/bin ${ROOT}/sbin ${ROOT}/usr/bin ${ROOT}/usr/sbin ${ROOT}/usr/local/bin ${ROOT}/usr/local/sbin -not -type l -and -not -type d`; \
	do if sh -c "file $$f | grep -q ELF"; then ${STRIP} $$f; fi; done
	find ${ROOT} -name "*.so*" -and -not -type d -and -size +10 | xargs chmod +w
	find ${ROOT} -name "*.so*" -and -not -type d -and -size +10 | xargs ${STRIP}
	find ${ROOT} -name "*.so*" -and -not -type d -and -size +10 | xargs chmod -w
ifneq (${CFG_EXTRA_FILES_DIR},"")
	cp -Rf ${CFG_EXTRA_FILES_DIR}/. ${ROOT}
else	
	if [ -d ${SOURCE_DIR}/../user-include ]; then cp -R ${SOURCE_DIR}/../user-include/. ${ROOT}; fi
endif

	sudo chown -R -h root ${ROOT}
	sudo chgrp -R -h root ${ROOT}

