
PKG:=module-init-tools
VERSION:=3.2
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR} ${DIR}/Makefile
	${MAKE} -C ${DIR}

${DIR}/Makefile:
	cd ${DIR} && ./configure --prefix=${ROOT} --host=${CROSS} CFLAGS="${CFLAGS}" LDFLAGS=${TOOLCHAIN_ABI}

.PHONY: install
install:
	rm -f ${ROOT}/sbin/lsmod
	rm -f ${ROOT}/sbin/insmod
	rm -f ${ROOT}/sbin/modprobe
	rm -f ${ROOT}/sbin/rmmod
	${MAKE} -C ${DIR} install
	rm ${ROOT}/sbin/insmod.static
	rm ${ROOT}/sbin/generate-modprobe.conf

${DIR}:
	tar -jxf ${STORAGE}/${PKG}-${VERSION}.tar.bz2
	
