/*dot11OperationTable data Structures*/
typedef struct opTbl_data {

        int ifIndex;
        char  MACAddress      [ MACADDR_LEN + 1 ];
        int RTSThreshold;
        int shortRetryLimit;
        int longRetryLimit;
        int fragmentationThreshold;
        int maxTransmitMSDULifetime;
        int maxReceiveLifetime;
        char  manufacturerID  [ SNMP_STR_LEN + 1 ];
        char  productID       [ SNMP_STR_LEN + 1 ];

        unsigned int HTOperatingMode;
        unsigned int RIFSMode;
        unsigned int PSMPControlledAccess;
        int ServiceIntervalGranularity;
        unsigned int DualCTSProtection;
        unsigned int SigTXOPFullProtectionEnabled;
        unsigned int NonGFEntitiesPresent;
        unsigned int PCOActivated;
        int PCO40MaxDuration;
        int PCO20MaxDuration;
        int PCO40MinDuration;
        int PCO20MinDuration;
}opTbl_data;

extern void loadopList(int skfd,char * ifName);
extern opTbl_data* opList_get(list_T *opList,int index,int exact);

