PKG:=backend
VERSION:=0.0
#DIR:=${PKG}-${VERSION}
DIR:=nms/${PKG}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR} ${DIR}/Makefile
	${MAKE} -C ${DIR} NMS_INCLUDE=${NMS_INCLUDE} NMS_LIB=${NMS_LIB}

.PHONY: install
install:
	mkdir -p ${ROOT}/home/root
	mkdir -p ${ROOT}/usr/share/timezone
	cp ${DIR}/zoneinfo-files   ${ROOT}/usr/share/timezone/.
	cp ${DIR}/zoneinfo.tar.bz2   ${ROOT}/usr/share/timezone/.
	cp -r ${DIR}/translator_scripts ${ROOT}/etc/
	chmod -R 777 ${ROOT}/etc/translator_scripts
	${STRIP} ${DIR}/nmbd_tr 
	cp ${DIR}/nmbd_tr ${ROOT}/home/root/.
	${STRIP} ${DIR}/dns 
	cp ${DIR}/dns ${ROOT}/home/root/.
	${STRIP} ${DIR}/dhcp 
	cp ${DIR}/dhcp ${ROOT}/home/root/.
	${STRIP} ${DIR}/http_redirect_tr 
	cp ${DIR}/http_redirect_tr ${ROOT}/home/root/.
	${STRIP} ${DIR}/syslog 
	cp ${DIR}/syslog ${ROOT}/home/root/.
	${STRIP} ${DIR}/snmp 
	cp ${DIR}/snmp ${ROOT}/home/root/.
	${STRIP} ${DIR}/ntp 
	cp ${DIR}/ntp ${ROOT}/home/root/.
	${STRIP} ${DIR}/ssh 
	cp ${DIR}/ssh ${ROOT}/home/root/.
	${STRIP} ${DIR}/timezone 
	cp ${DIR}/timezone ${ROOT}/home/root/.
	${STRIP} ${DIR}/hostapd_tr 
	cp ${DIR}/hostapd_tr  ${ROOT}/home/root/.
	${STRIP} ${DIR}/bridge_and_vlan_translator 
	cp ${DIR}/bridge_and_vlan_translator ${ROOT}/home/root/.
	${STRIP} ${DIR}/telnet 
	cp ${DIR}/telnet  ${ROOT}/home/root/.
	${STRIP} ${DIR}/password 
	cp ${DIR}/password  ${ROOT}/home/root/.
	cp ${DIR}/set_timezone.sh   ${ROOT}/usr/local/bin/.
	chmod  777 ${ROOT}/usr/local/bin/set_timezone.sh

${DIR}:

