
PKG:=lighttpd
VERSION:=1.4.18
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR} ${DIR}/Makefile
	${MAKE} -C ${DIR} 

.PHONY: install
install:
	cp -r ${DIR}/src/.libs/mod_*.so ${ROOT}/usr/local/lib/.
	mips64-octeon-linux-gnu-strip ${DIR}/src/lighttpd
	cp ${DIR}/src/lighttpd  ${ROOT}/sbin/.

${DIR}/Makefile:
	cd ${DIR} && LDFLAGS="${TOOLCHAIN_ABI}" CFLAGS="${CFLAGS}" CC=mips64-octeon-linux-gnu-gcc LD=mips64-octeon-linux-gnu-ld ./configure --enable-static=mod_cgi,mod_access,mod_accesslog,mod_auth,mod_rewrite --with-pcre --with-openssl=../openssl/ --with-openssl-include=../openssl/ --with-openssl-libs=${ROOT}/usr/lib --host=mips64-octeon-linux-gnu --target=mips64-octeon-linux-gnu --build=i386-redhat-linux-gnu
#	cd ${DIR} && LDFLAGS=-muclibc CFLAGS=-muclibc CC=mips64-octeon-linux-gnu-gcc LD=mips64-octeon-linux-gnu-ld ./configure --enable-static=mod_cgi,mod_access,mod_accesslog,mod_auth,mod_rewrite --with-pcre --host=mips64-octeon-linux-gnu --target=mips64-octeon-linux-gnu --build=i686-redhat-linux-gnu
	cd ${DIR} && cp -f ${STORAGE}/${PKG}/Makefile .
	cd ${DIR} && cp -f ${STORAGE}/${PKG}/Makefile-src src/Makefile
${DIR}:
	tar -zxf ${STORAGE}/${PKG}/${PKG}-${VERSION}.tar.gz

