PKG:=popt
VERSION:=1.7
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR} ${DIR}/Makefile
	${MAKE} -C ${DIR}

${DIR}/Makefile:
	cd ${DIR} && ./configure --prefix=${ROOT}/usr --host=${CROSS} CFLAGS="-mabi=64 -Os -fomit-frame-pointer" LDFLAGS=-mabi=64

.PHONY: install
install: ${DIR}
	${MAKE} -C ${DIR} install libdir=${ROOT}/usr/lib64

${DIR}:
	tar -zxf ${STORAGE}/${PKG}-${VERSION}.tar.gz
	
