
PKG:=pure-ftpd
VERSION:=1.0.21
DIR:=${PKG}-${VERSION}


.PHONY: all
all: build install


.PHONY: build
build: ${DIR} ${DIR}/Makefile
	${MAKE} -C ${DIR} 


.PHONY: install
install:
	cp ${DIR}/src/pure-ftpd ${ROOT}/usr/local/sbin/.
	cp ${DIR}/src/pure-authd ${ROOT}/usr/local/sbin/.

${DIR}/Makefile:
	cd ${DIR} && ./configure CFLAGS="${CFLAGS}" LDFLAGS="${TOOLCHAIN_ABI}" --host=mips64-octeon-linux-gnu --target=mips64-octeon-linux-gnu --build=i386-redhat-linux-gnu
 
${DIR}:
	tar -jxf ${STORAGE}/${PKG}/${PKG}-${VERSION}.tar.bz2
	cd ${DIR} && sed -i 's/{ (exit 1); exit 1; };/ /g' configure


