PKG:=wifidog
VERSION:=1.1.3_beta1
DIR:=${PKG}-${VERSION}

.PHONY: all
all: build install

.PHONY: build
build: ${DIR} ${DIR}/Makefile
	${MAKE} -C ${DIR}

${DIR}/Makefile:
	cd ${DIR} && ./configure --prefix=${ROOT}/usr --host=${CROSS} CFLAGS="${CFLAGS}" LDFLAGS="${CFLAGS} ${LIBSEARCH}"

.PHONY: install
install: ${DIR}
	${MAKE} -C ${DIR} prefix=${ROOT}/usr install
${DIR}:
	tar -zxf ${STORAGE}/${PKG}/${PKG}-${VERSION}.tar.gz
	cp -f ${STORAGE}/${PKG}/Makefile ${DIR}/
	cp -f ${STORAGE}/${PKG}/config.h ${DIR}/
	cp -f ${STORAGE}/${PKG}/config.log ${DIR}/
	cp -f ${STORAGE}/${PKG}/config.status ${DIR}/
	cp -f ${STORAGE}/${PKG}/doc/Makefile ${DIR}/doc/
	cp -f ${STORAGE}/${PKG}/libhttpd/Makefile ${DIR}/libhttpd/
	cp -f ${STORAGE}/${PKG}/libhttpd/api.c ${DIR}/libhttpd/
	cp -f ${STORAGE}/${PKG}/libhttpd/protocol.c ${DIR}/libhttpd/
	cp -f ${STORAGE}/${PKG}/src/fw_iptables.c ${DIR}/src/
	cp -f ${STORAGE}/${PKG}/libtool ${DIR}/
	cp -f ${STORAGE}/${PKG}/src/Makefile ${DIR}/src/
	cp -f ${STORAGE}/${PKG}/src/wireless.h ${DIR}/src/
	cp -f ${STORAGE}/${PKG}/src/wireless_event_thread.h ${DIR}/src/
	cp -f ${STORAGE}/${PKG}/src/iwlib.h ${DIR}/src/
	cp -f ${STORAGE}/${PKG}/src/iwlib.c ${DIR}/src/
	cp -f ${STORAGE}/${PKG}/src/iwevent.c ${DIR}/src/
	cp -f ${STORAGE}/${PKG}/src/gateway.c ${DIR}/src/
	cp -f ${STORAGE}/${PKG}/src/http.c ${DIR}/src/
	rm -f ${DIR}/stamp-h

	
